Critical

CVE-2009-0201 - Buffer Errors vulnerability in Openoffice.ORG

Publication: 2009-09-02
Summary

Heap-based buffer overflow in OpenOffice.org (OOo) before 3.1.1 and StarOffice/StarSuite 7, 8, and 9 might allow remote attackers to execute arbitrary code via unspecified records in a crafted Word document, related to "table parsing."

Classification
CWE-119: Buffer Errors

Risk level (CVSS 9.3)

Critical

9.3

Access Vector

  • Network
  • Adjacent Network
  • Local

Access Complexity

  • Low
  • Medium
  • High

Authentication

  • None
  • Single
  • Multiple

Confident. Impact

  • Complete
  • Partial
  • None

Integrity Impact

  • Complete
  • Partial
  • None

Affected Products

  • Openoffice Openoffice.ORG 1.1.2
  • Openoffice Openoffice.ORG 1.1.3
  • Openoffice Openoffice.ORG 1.1.4
  • Openoffice Openoffice.ORG 1.1.5
  • Openoffice Openoffice.ORG 2.0
  • Openoffice Openoffice.ORG 2.0.2
  • Openoffice Openoffice.ORG 2.0.3
  • Openoffice Openoffice.ORG 2.0.4
  • Openoffice Openoffice.ORG 2.1
  • Openoffice Openoffice.ORG 2.2
  • Openoffice Openoffice.ORG 2.2.1
  • Openoffice Openoffice.ORG 2.3
  • Openoffice Openoffice.ORG 2.3.1
  • Openoffice Openoffice.ORG 2.4
  • Openoffice Openoffice.ORG 2.4.1
  • Openoffice Openoffice.ORG 2.4.1
  • Openoffice Openoffice.ORG 3.1